Subject: Re: git-p4 workflow suggestions?

From: Sam Hocevar <[email-masked]>
Date: Fri, 20 Mar 2009 11:31:25 +0100

On Tue, Mar 17, 2009, Pete Wyckoff wrote:

> Can you take a look at the attached.  Its goal is purely to allow
> you to clone a complex spec like yours above.  You may have to merge
> this in with your perrformance changes.
> 
> Edit your ~/.gitconfig to add a section:
> 
> 	[git-p4]
> 		useClientSpec = true
> 
> Then copy a good P4ENV from a p4 client that has a client spec
> checked out as you like.  git-p4 clone will do "p4 client -o",
> reading that spec, and use the results to import, hopefully as
> you have things laid out in the spec.
> 
> If this seems to work for you, we can figure out how to clean up
> the patch so it can be used generally by people with and without
> client specs.

   I am afraid I don't know what a "P4ENV" is. However, our P4
repository is set up in such a way that "p4 client -o" shows the
expected mappings, so I just commented out the P4ENV check and I finally
managed to clone my gigantic repository.

   One concern: git-p4 clone creates .git in the current directory and
it caused me to do at least one unfortunate "rm -rf .git". I would
expect clone to create a subdirectory.

   Apart from that, "clone" seems to work rather well. I haven't tried
to submit a commit yet, though.

-- 
Sam.